> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List bare metal GPU cluster ports

> Retrieve a list of network ports attached to the GPU cluster servers.



## OpenAPI

````yaml /api-reference/services_docs_mintlify/cloud_api.yaml get /cloud/v1/ai/clusters/{project_id}/{region_id}/{cluster_id}/ports
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: 61ff2793a80b
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
  - name: Container as a Service
  - name: Cost Reports
  - name: DDoS Protection
  - name: Everywhere Inference
  - name: Everywhere Inference Apps
  - name: File Shares
  - name: Floating IPs
  - name: Function as a Service
  - name: GPU Bare Metal
  - name: GPU Virtual
  - name: IP Ranges
  - name: Images
  - name: Instances
  - name: Load Balancers
  - name: Logging
  - name: Managed Kubernetes
  - name: Managed PostgreSQL
  - name: Networks
  - name: Placement Groups
  - name: Ports
  - name: Projects
  - name: Quotas
  - name: Regions
  - name: Registry
  - name: Reservations
  - name: Reserved IPs
  - name: Routers
  - name: SSH Keys
  - name: Secrets
  - name: Security Groups
  - name: Snapshot Schedules
  - name: Snapshots
  - name: Tasks
  - name: User Actions
  - name: User Role Assignments
  - name: Volumes
paths:
  /cloud/v1/ai/clusters/{project_id}/{region_id}/{cluster_id}/ports:
    get:
      tags:
        - GPU Bare Metal
      summary: List bare metal GPU cluster ports
      description: Retrieve a list of network ports attached to the GPU cluster servers.
      operationId: AIClusterPoplarPortsHandler.get
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            description: Region ID
            example: 7
            examples:
              - 7
            title: Region Id
            type: integer
        - in: path
          name: cluster_id
          required: true
          description: Cluster unique identifier
          schema:
            description: Cluster unique identifier
            example: 1aaaab48-10d0-46d9-80cc-85209284ceb4
            examples:
              - 1aaaab48-10d0-46d9-80cc-85209284ceb4
            format: uuid4
            title: Cluster Id
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PortWithSecurityGroupsCollectionSerializer
components:
  schemas:
    PortWithSecurityGroupsCollectionSerializer:
      properties:
        count:
          description: Number of objects
          example: 1
          examples:
            - 1
          minimum: 0
          title: Count
          type: integer
        results:
          description: Objects
          items:
            $ref: '#/components/schemas/PortWithSecurityGroupsSerializer'
          title: Results
          type: array
      required:
        - count
        - results
      title: PortWithSecurityGroupsCollectionSerializer
      type: object
    PortWithSecurityGroupsSerializer:
      properties:
        id:
          description: Port ID
          example: ae74714c-c380-48b4-87f8-758d656cdad6
          examples:
            - ae74714c-c380-48b4-87f8-758d656cdad6
          title: Id
          type: string
        name:
          description: Port name
          example: my-port
          examples:
            - my-port
          title: Name
          type: string
        security_groups:
          description: Security groups applied to port
          items:
            $ref: '#/components/schemas/SecurityGroupShortSerializer'
          title: Security Groups
          type: array
      required:
        - id
        - name
        - security_groups
      title: PortWithSecurityGroupsSerializer
      type: object
    SecurityGroupShortSerializer:
      properties:
        id:
          description: Security group ID
          example: 4536dba1-93b1-492e-b3df-270b6b9f3650
          examples:
            - 4536dba1-93b1-492e-b3df-270b6b9f3650
          title: Id
          type: string
        name:
          description: Security group name
          example: my-security-group
          examples:
            - my-security-group
          title: Name
          type: string
      required:
        - id
        - name
      title: SecurityGroupShortSerializer
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````